The installer detected a timeout.

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

The installer detected a timeout.

Post by Raymond Day » Thu Apr 11, 2019 12:55 pm

I looked a lot for hours all ready.

Have 2 old servers and I did this to one and thought it work on the other and they are both on my LAN.

Got a old database backup and I keep restoring it and delete what is in the /usr/share/phpbb3/cache folder.

Go to phpbb/install/app.php/update and press the Update and I get back this all the time.
slow server can't update phpbb3 database.jpg
I did do all this on a faster server and it worked and then I put that database it updated on the slower server and it has some broken links. So can't do it like that.

Edit all sort of php max_execution_time and systemctl restart apache2 and run the update again and it all ways stops at 84%

I can go to the board and it seems to work but some links can't be displayed.

Edit the /etc/php/7.3/apache2/php.ini and put a bigger number in all the size parts. I even made a phprc file in /etc/php/7.3 folder and it has this in it:

Code: Select all

upload_max_filesize = 900M
post_max_size = 905M
max_execution_time = 900
max_input_time = 900
memory_limit = 128M
I can put all them 9's to 10's and restart apache2 and run the update again but still it timeout error at 84%.

Was trying it on the command line to but just don't know how to do the same command like they do in apache2.

I did:

php bin/phpbbcli.php --safe-mode db:migrate

That did not help.

Did things like:

./phpbbcli.php update --safe-mode db:migrate

Or:

./phpbbcli.php update --database only

Maybe the next update of phpbb3 it will not just say in red use the CLI. But show how do do the CLI command line.

Been working on this a long time and just can't get it to work and seems like a lot are having this same problem. I looked at a lot of them and nothing works.
Raymond J Day

User avatar
tbackoff
Former Team Member
Posts: 7022
Joined: Thu Jun 04, 2009 1:41 am
Location: cheerleading practice
Name: Tabitha Backoff

Re: The installer detected a timeout.

Post by tbackoff » Thu Apr 11, 2019 1:01 pm

Raymond Day wrote:
Thu Apr 11, 2019 12:55 pm
php bin/phpbbcli.php --safe-mode db:migrate

That did not help.

Did things like:

./phpbbcli.php update --safe-mode db:migrate

Or:

./phpbbcli.php update --database only
Those commands will only work if you are in the main phpBB folder (where viewtopic is). If you're not there, you can usually get there by doing cd followed by the path. For example, mine is cd /var/www/html/phpBB3/.
Flying is the second best thrill to cheerleaders; being caught is the first.

User avatar
Lumpy Burgertushie
Registered User
Posts: 66268
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: The installer detected a timeout.

Post by Lumpy Burgertushie » Thu Apr 11, 2019 1:07 pm

Edit the /etc/php/7.3/apache2/php.ini and put a bigger number in all the size parts. I even made a phprc file in /etc/php/7.3 folder and it has this in it:
that is probably your problem. phpbb is not compatible with php 7.3 yet.

downgrade to php 7.2 or less and it might work.

robert
I am going to be out of town and off line for a week . see ya when I get back.

Premium phpBB 3.2 Styles by PlanetStyles.net

If a tree falls in the forest and nobody is there, does it make a sound?

Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

Re: The installer detected a timeout.

Post by Raymond Day » Thu Apr 18, 2019 10:44 am

I did downgrade the php I can go to the /install/phpinfo.php and it says "PHP Version 7.2.17-1+ubuntu18.04.1+deb.sury.org+3" but now when I got to /install/app.php/update and click the update it comes up right away saying in red "The installer detected a timeout" It don't even do any text just pops that up right away.

-Raymond Day

boka18
Registered User
Posts: 5
Joined: Mon Apr 08, 2019 2:14 pm

Re: The installer detected a timeout.

Post by boka18 » Thu Apr 18, 2019 12:29 pm

Best thing to do is use the CLI if you have timeouts while upgrading.

Create config.yml file in /install
Add this to the config.yml
updater:
(space)(space)type: db_only
save the file.
Do this php ./install/phpbbcli.php update config.yml

That should start the update procedure.
Cheers!

Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

Re: The installer detected a timeout.

Post by Raymond Day » Mon Apr 22, 2019 9:34 pm

I did do that but you have some things wrong the config.yml has to be in the root phpbb folder not in /install folder.

I run it and get some red errors on the command line.
phpBB command line update errors.jpg
I looked up the 1st error and still could not fix it. All the links on the one page looked at.

At lest seems like getting close.
Last edited by Mick on Tue Apr 23, 2019 1:45 pm, edited 1 time in total.
Reason: Removed unnecessary quoting.
Raymond J Day

User avatar
janus_zonstraal
Registered User
Posts: 3219
Joined: Sat Aug 30, 2014 1:30 pm

Re: The installer detected a timeout.

Post by janus_zonstraal » Tue Apr 23, 2019 6:51 am

Did you delete the installer folder in the cache folder?
Also delete install.php or something like that in the store folder.
Sorry! My English is bat ;) !!!

Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

Re: The installer detected a timeout.

Post by Raymond Day » Tue Apr 23, 2019 8:53 am

Yes I did that.

Just tested again deleted all in the cache and it will make "installer" and production" folder when I run that command line "root@cardboard2:/usr/share/phpbb3# php ./install/phpbbcli.php update config.yml"

There was a "io_lock.lock" in the /store folder and I just renamed it to "lo_lock.lock~" but still get the same error when running on the command line.

So it's mostly these 2 red color lines on the command line I guess that need to fix.

[ERROR] PHP XML/DOM support
In order for phpBB to function correctly, the PHP XML/DOM extension needs to be available.



0/0 ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░ 0%



[ERROR] Config file is missing data or might contain invalid settings.
Raymond J Day

boka18
Registered User
Posts: 5
Joined: Mon Apr 08, 2019 2:14 pm

Re: The installer detected a timeout.

Post by boka18 » Tue Apr 23, 2019 8:57 am

As far as i can see you are missing the php-xml extension. Install that, restart php and try again. And the config.yml file should definitely be in /install directory not in the root filder.

Cheers
Last edited by Mick on Tue Apr 23, 2019 1:46 pm, edited 1 time in total.
Reason: Removed unnecessary quoting.

Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

Re: The installer detected a timeout.

Post by Raymond Day » Wed May 01, 2019 11:36 am

To restart php I do this:

systemctl restart apache2

That is the right way right?

Run the command again it does the same errors. Just doing a reboot of it now. Then I know php will restart I all ready added that php-xml extension.

After a reboot ran the command again. This time it took longer I thought it my work but it still did the 2 red color same errors :(

-Raymond Day
Raymond J Day

Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

Re: The installer detected a timeout.

Post by Raymond Day » Wed May 01, 2019 11:37 am

The RED errors it gives now are this:

0/0 ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░ 0%



[ERROR] PHP XML/DOM support
In order for phpBB to function correctly, the PHP XML/DOM extension
needs to be available.


0/0 ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░ 0%



[ERROR] Config file is missing data or might contain invalid settings.


0/0 ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░ 0%

root@cardboard2:/usr/share/phpbb3#
Raymond J Day

Raymond Day
Registered User
Posts: 49
Joined: Sat Dec 25, 2004 6:01 pm
Location: Belleville Michigan
Contact:

Re: The installer detected a timeout.

Post by Raymond Day » Wed May 01, 2019 11:39 am

I did this:

Code: Select all

root@cardboard2:/usr/share/phpbb3# apt install php-xml
Reading package lists... Done
Building dependency tree
Reading state information... Done
php-xml is already the newest version (2:7.3+69+ubuntu18.04.1+deb.sury.org+2+php7.3).
But it says all ready have the newest version.
Raymond J Day

User avatar
kinerity
Community Team Member
Community Team Member
Posts: 2228
Joined: Mon Sep 01, 2014 1:00 am
Location: sudo rm -rf /
Name: Kailey Truscott
Contact:

Re: The installer detected a timeout.

Post by kinerity » Wed May 01, 2019 1:06 pm

Raymond Day wrote:
Wed May 01, 2019 11:39 am
I did this:

Code: Select all

root@cardboard2:/usr/share/phpbb3# apt install php-xml
Reading package lists... Done
Building dependency tree
Reading state information... Done
php-xml is already the newest version (2:7.3+69+ubuntu18.04.1+deb.sury.org+2+php7.3).
But it says all ready have the newest version.
Hello,

Unfortunately, I would advise you to seek support for your PHP XML/DOM issue from a site that specializes in webserver configuration. Your current issue is beyond the scope of our abilities.

Also, please keep in mind that we have a six hour bumping rule. All team members and community members here are volunteers, so we ask you to wait at least six hours before bumping your topic or, if no-one has replied to your last post, edit your last post. Thanks!
Kailey Truscott - Community Team

Post Reply

Return to “[3.2.x] Support Forum”